Bug 203969 - devel/gradle: update to 2.8
Summary: devel/gradle: update to 2.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-23 00:33 UTC by Steve Wills
Modified: 2016-04-01 04:35 UTC (History)
3 users (show)

See Also:
gasol.wu: maintainer-feedback+


Attachments
patch to gradle (12.15 KB, patch)
2015-10-23 00:33 UTC, Steve Wills
no flags Details | Diff
updated patch to gradle (12.51 KB, patch)
2015-10-23 01:21 UTC, Steve Wills
no flags Details | Diff
new patch (13.47 KB, patch)
2016-01-26 19:47 UTC, Gasol Wu
gasol.wu: maintainer-approval+
Details | Diff
gradle.diff (12.53 KB, patch)
2016-02-28 11:03 UTC, Tobias Kortkamp
no flags Details | Diff
Poudriere testport log FreeBSD 10.2/i386 (16.28 KB, text/x-log)
2016-02-28 11:24 UTC, Tobias Kortkamp
no flags Details
gradle.diff (13.37 KB, patch)
2016-03-30 16:27 UTC, Tobias Kortkamp
gasol.wu: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2015-10-23 00:33:22 UTC
Created attachment 162370 [details]
patch to gradle

Attached patch updates port to latest version.
Comment 1 Steve Wills freebsd_committer 2015-10-23 01:21:34 UTC
Created attachment 162372 [details]
updated patch to gradle
Comment 2 Gasol Wu 2015-11-02 02:17:14 UTC
Comment on attachment 162372 [details]
updated patch to gradle

Look good to me
Comment 3 Gasol Wu 2016-01-26 19:47:51 UTC
Created attachment 166160 [details]
new patch
Comment 4 Tobias Kortkamp freebsd_committer 2016-02-28 11:03:46 UTC
Created attachment 167506 [details]
gradle.diff

Gradle is now at 2.11. Attaching an updated patch.
Comment 5 Tobias Kortkamp freebsd_committer 2016-02-28 11:24:02 UTC
Created attachment 167507 [details]
Poudriere testport log FreeBSD 10.2/i386
Comment 6 Tobias Kortkamp freebsd_committer 2016-03-30 16:27:37 UTC
Created attachment 168792 [details]
gradle.diff

Updating patch for Gradle 2.12
Comment 7 Gasol Wu 2016-03-31 06:14:46 UTC
Comment on attachment 166160 [details]
new patch

2.12 has released
Comment 8 Gasol Wu 2016-03-31 06:16:27 UTC
2.12 LGTM
Comment 9 Kurt Jaeger freebsd_committer 2016-04-01 04:29:40 UTC
testbuilds are fine
Comment 10 commit-hook freebsd_committer 2016-04-01 04:31:56 UTC
A commit references this bug:

Author: pi
Date: Fri Apr  1 04:31:28 UTC 2016
New revision: 412313
URL: https://svnweb.freebsd.org/changeset/ports/412313

Log:
  devel/gradle: 2.4 -> 2.12

  Release-Notes 2.12
    https://docs.gradle.org/current/release-notes

  PR:		203969
  Submitted by:	swills, Tobias Kortkamp <t@tobik.me>
  Approved by:	Gasol Wu <gasol.wu@gmail.com>

Changes:
  head/devel/gradle/Makefile
  head/devel/gradle/distinfo
  head/devel/gradle/files/gradle.in
  head/devel/gradle/pkg-descr
  head/devel/gradle/pkg-plist
Comment 11 Kurt Jaeger freebsd_committer 2016-04-01 04:35:27 UTC
Committed, thanks!